=== debian/changelog ===
git-cola (1.9.3-1) unstable; urgency=low

  * New upstream release.
  * Update copyright.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Dec 2013 21:02:42 +0100
