## git-cola 2.0.1

=== debian/changelog ===
git-cola (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Mar 2014 15:10:46 +0100

git-cola (1.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 14 Feb 2014 13:13:33 +0000
