=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #export DH_VERBOSE=1
 
 package=git-cola
+PKGDIR=$(CURDIR)/debian/$(package)
 
 override_dh_auto_test:
 
@@ -28,8 +29,9 @@
 	dh_testroot
 	dh_install
 	dh_installdirs
-	$(MAKE) DESTDIR=$(CURDIR)/debian/$(package) prefix=/usr install install-doc install-html
+	$(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-doc install-html
 	find . -name "*.pyc" -delete
+	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/cola/widgets/archive.py
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -43,8 +45,10 @@
 	dh_python2
 #	dh_link /usr/share/javascript/jquery/jquery.js \
 #		/usr/share/doc/git-cola/html/_static/jquery.js
+	rm $(PKGDIR)/usr/share/doc/git-cola/html/static/jquery.js
 	dh_link /usr/share/javascript/jquery/jquery.js \
 		/usr/share/doc/git-cola/html/static/jquery.js
+	rm $(PKGDIR)/usr/share/doc/git-cola/html/static/underscore.js
 	dh_link /usr/share/javascript/underscore/underscore.js \
 		/usr/share/doc/git-cola/html/static/underscore.js
 	dh_strip
