=== debian/changelog ===
git-cola (2.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Sep 2014 09:21:48 +0000

git-cola (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 31 Aug 2014 21:01:12 +0000
