## git-cola 2.1.2

=== debian/changelog ===
git-cola (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Use local copy of Modernizr JS library.
  * Correct copyright.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 May 2015 18:12:30 +0000
