=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	dh_install
 	dh_installdirs
 	$(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-doc install-html
-	rm $(PKGDIR)/usr/share/doc/git-cola/html/.gitignore
 	find . -name "*.pyc" -delete
 	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/cola/widgets/archive.py
