## git-cola 2.3

=== debian/changelog ===
git-cola (2.3-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Sep 2015 16:46:43 +0200
