=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: git-cola
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
+Depends: ${python:Depends}, ${misc:Depends}, python-qt4, python-sip, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
 Recommends: gitk, xxdiff
 Suggests: python-pyinotify, python-simplejson
 Description: highly caffeinated git GUI
