## git-cola 2.6

=== debian/changelog ===
git-cola (2.6-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 May 2016 18:49:24 +0000
