## git-cola 2.9.1

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 CTAGS = ctags
 CP = cp
 FIND = find
+FLAKE8 = flake8
 GIT = git
 GZIP = gzip
 LN = ln
@@ -12,11 +13,17 @@
 MARKDOWN = markdown
 MKDIR_P = mkdir -p
 NOSETESTS = nosetests
+PIP = pip
+PYLINT = pylint
 PYTHON = python
 RM = rm -f
 RM_R = rm -fr
 RMDIR = rmdir
 TAR = tar
+
+# Flags
+FLAKE8_FLAGS = --max-line-length=80 --statistics --doctests --format=pylint
+PYLINT_FLAGS = --py3k --output-format=colorized --rcfile=.pylintrc
 
 # These values can be overridden on the command-line or via config.mak
 prefix = $(HOME)
@@ -33,9 +40,13 @@
 cola_version = $(shell $(PYTHON) bin/git-cola version --brief)
 cola_dist := $(cola_base)-$(cola_version)
 
-# Allows e.g. "make test flags=--stop"
+NOSE_FLAGS = --with-doctest
+NOSE_FLAGS += --with-id
+NOSE_FLAGS += --exclude=sphinxtogithub
+NOSE_FLAGS += --exclude=extras
+# Allows "make test flags=--stop"
 flags =
-NOSE ?= $(NOSETESTS) --with-doctest --exclude=sphinxtogithub $(flags)
+NOSE ?= $(NOSETESTS) $(NOSE_FLAGS) $(flags)
 
 SETUP ?= $(PYTHON) setup.py
 setup_args += --prefix=$(prefix)
@@ -50,8 +61,21 @@
 endif
 export prefix
 
-PYTHON_DIRS = test
-PYTHON_DIRS += cola
+# If NO_VENDOR_LIBS is specified on the command line then pass it to setup.py
+ifdef NO_VENDOR_LIBS
+    setup_args += --no-vendor-libs
+endif
+
+PYTHON_DIRS = cola
+PYTHON_DIRS += test
+
+ALL_PYTHON_DIRS = $(PYTHON_DIRS)
+ALL_PYTHON_DIRS += extras
+
+PYTHON_SOURCES = bin/git-cola
+PYTHON_SOURCES += bin/git-dag
+PYTHON_SOURCES += share/git-cola/bin/git-xbase
+PYTHON_SOURCES += setup.py
 
 # User customizations
 -include config.mak
@@ -132,14 +156,14 @@
 .PHONY: coverage
 
 clean:
-	$(FIND) $(PYTHON_DIRS) -name '*.py[cod]' -print0 | xargs -0 rm -f
+	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py[cod]' -print0 | xargs -0 rm -f
 	$(RM_R) build dist tags git-cola.app
 	$(RM_R) share/locale
 	$(MAKE) -C share/doc/git-cola clean
 .PHONY: clean
 
 tags:
-	$(FIND) $(PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
+	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
 .PHONY: tags
 
 pot:
@@ -167,3 +191,16 @@
 # Preview the markdown using "make README.html"
 %.html: %.md
 	$(MARKDOWN) $< >$@
+
+flake8:
+	$(FLAKE8) $(FLAKE8_FLAGS) $(PYTHON_SOURCES) $(PYTHON_DIRS)
+.PHONY: flake8
+
+pylint:
+	$(PYLINT) $(PYLINT_FLAGS) $(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
+.PHONY: pylint
+
+requirements:
+	$(PIP) install --requirement requirements.txt
+	$(PIP) install --requirement extras/requirements-dev.txt
+.PHONY: requirements
