=== requirements.txt ===
argparse
qtpy
sphinx
