=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export GIT_COLA_NO_VENDOR_LIBS=1
 
 package=git-cola
 PKGDIR=$(CURDIR)/debian/$(package)
@@ -16,7 +18,7 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) all doc
+	PYTHON=python3 $(MAKE) all doc
 	touch $@
 
 clean:
@@ -31,19 +33,25 @@
 	dh_testroot
 	dh_install
 	dh_installdirs
-	$(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-doc install-html
+	PYTHON=python3 $(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-doc install-html
+#!/usr/bin/env python
+	sed -i 's|env python|env python3|' \
+		$(PKGDIR)/usr/share/git-cola/bin/git-xbase
 	find . -name "*.pyc" -delete
 	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/cola/widgets/archive.py
+#	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/qtpy/py3compat.py
 
 # Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
+	rm $(PKGDIR)/usr/share/doc/git-cola/changelog \
+		$(PKGDIR)/usr/share/doc/git-cola/html/sources/relnotes.txt
 	dh_installdocs
 	dh_installexamples
 	dh_installman
-	dh_python2
+	dh_python3
 #	dh_link /usr/share/javascript/jquery/jquery.js \
 #		/usr/share/doc/git-cola/html/_static/jquery.js
 	rm $(PKGDIR)/usr/share/doc/git-cola/html/static/jquery.js
@@ -53,7 +61,7 @@
 	dh_link /usr/share/javascript/underscore/underscore.js \
 		/usr/share/doc/git-cola/html/static/underscore.js
 	sed -i "s|https://cdnjs.\+modernizr.min.js|/usr/share/javascript/modernizr/modernizr.min.js|" \
-		$(HTMLDIR)/*.html $(HTMLDIR)/relnotes/*.html
+		$(HTMLDIR)/*.html
 	dh_strip
 	dh_compress -Xobjects.inv
 	dh_fixperms
