## git-cola 2.10

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,8 @@
 PIP = pip
 PYLINT = pylint
 PYTHON = python
+PYTHON_CONFIG = python-config
+PYTHON_DARWIN_APP = $(shell $(PYTHON_CONFIG) --prefix)/Resources/Python.app/Contents/MacOS/Python
 RM = rm -f
 RM_R = rm -fr
 RMDIR = rmdir
@@ -23,7 +25,10 @@
 
 # Flags
 FLAKE8_FLAGS = --max-line-length=80 --statistics --doctests --format=pylint
-PYLINT_FLAGS = --py3k --output-format=colorized --rcfile=.pylintrc
+PYLINT_FLAGS = --rcfile=.pylintrc
+ifdef color
+    PYLINT_FLAGS += --output-format=colorized
+endif
 
 # These values can be overridden on the command-line or via config.mak
 prefix = $(HOME)
@@ -31,7 +36,6 @@
 datadir = $(prefix)/share/git-cola
 coladir = $(datadir)/lib
 hicolordir = $(prefix)/share/icons/hicolor/scalable/apps
-darwin_python = /System/Library/Frameworks/Python.framework/Resources/Python.app/Contents/MacOS/Python
 # DESTDIR =
 
 cola_base := git-cola
@@ -133,15 +137,22 @@
 	$(RM) $(DESTDIR)$(prefix)/share/applications/git-cola.desktop
 	$(RM) $(DESTDIR)$(prefix)/share/applications/git-cola-folder-handler.desktop
 	$(RM) $(DESTDIR)$(prefix)/share/applications/git-dag.desktop
+	$(RM) $(DESTDIR)$(prefix)/share/appdata/git-dag.appdata.xml
+	$(RM) $(DESTDIR)$(prefix)/share/appdata/git-cola.appdata.xml
 	$(RM) $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps/git-cola.svg
+	$(RM_R) $(DESTDIR)$(prefix)/share/doc/git-cola
 	$(RM_R) $(DESTDIR)$(prefix)/share/git-cola
-	$(RM_R) $(DESTDIR)$(prefix)/share/doc/git-cola
 	$(RM) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES/git-cola.mo
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/applications 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/appdata 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/doc 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale/* 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale 2>/dev/null
-	-$(RMDIR) $(DESTDIR)$(prefix)/share/doc 2>/dev/null
-	-$(RMDIR) $(DESTDIR)$(prefix)/share/applications 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/icons/hicolor/scalable 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/icons/hicolor 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/icons 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix)/share 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix)/bin 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix) 2>/dev/null
@@ -166,12 +177,21 @@
 	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
 .PHONY: tags
 
+# Update i18n files
+i18n: mo pot
+.PHONY: i18n
+
+i18n-update: i18n
+	git add po
+	git commit -sm'i18n: update translation template'
+.PHONY: i18n-update
+
 pot:
-	$(SETUP) build_pot -N -d po
+	$(SETUP) build_pot --no-lang --build-dir=po
 .PHONY: pot
 
 mo:
-	$(SETUP) build_mo -f
+	$(SETUP) build_mo --force
 .PHONY: mo
 
 git-cola.app:
@@ -181,7 +201,7 @@
 	$(CP) contrib/darwin/git-cola $(cola_app)/Contents/MacOS
 	$(CP) contrib/darwin/git-cola.icns $(cola_app)/Contents/Resources
 	$(MAKE) prefix=$(cola_app)/Contents/Resources install install-doc
-	$(LN_S) $(darwin_python) $(cola_app)/Contents/Resources/git-cola
+	$(LN_S) $(PYTHON_DARWIN_APP) $(cola_app)/Contents/Resources/git-cola
 .PHONY: git-cola.app
 
 app-tarball: git-cola.app
@@ -196,8 +216,12 @@
 	$(FLAKE8) $(FLAKE8_FLAGS) $(PYTHON_SOURCES) $(PYTHON_DIRS)
 .PHONY: flake8
 
+pylint3k:
+	$(PYLINT) $(PYLINT_FLAGS) --py3k $(flags) $(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
+.PHONY: pylint3k
+
 pylint:
-	$(PYLINT) $(PYLINT_FLAGS) $(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
+	$(PYLINT) $(PYLINT_FLAGS) $(flags) $(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
 .PHONY: pylint
 
 requirements:
