=== debian/changelog ===
git-cola (2.10-1ubuntu1) zesty; urgency=medium

  * Use dh_installchangelogs for now to fix FTBFS on buildds as
    relnotes.txt and changelogs are no longer generated at buildtime.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 11 Feb 2017 09:43:49 +0530

git-cola (2.10-1) unstable; urgency=low

  * New upstream release (closes: #851721).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 26 Jan 2017 20:50:23 +0000
