=== debian/control ===
Source: git-cola
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), python3-nose
Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
Standards-Version: 3.9.8
Homepage: http://git-cola.github.com/
Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
X-Python3-Version: >= 3.2

Package: git-cola
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-qtpy, python3-sip, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
Recommends: gitk, xxdiff
Suggests: python3-pyinotify, python3-simplejson
Description: highly caffeinated git GUI
 Git-cola is a git GUI optimized for working with the git index. 
 .
 Git-cola can compare arbitrary commits using standard merge tools.
 With it you can search commit messages, content, authors, paths,
 data ranges etc. and it makes it easy to interactively edit the
 index.
