=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	dh_testroot
 	dh_clean build-stamp
 	[ ! -f Makefile ] || $(MAKE) clean
+	find . -name "*.pyc" -delete
 	rm -f $(CURDIR)/share/doc/git-cola/_build/html/.buildinfo
 
 install: build
@@ -46,8 +47,8 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	rm $(PKGDIR)/usr/share/doc/git-cola/changelog \
-		$(PKGDIR)/usr/share/doc/git-cola/html/sources/relnotes.txt
+#	rm $(PKGDIR)/usr/share/doc/git-cola/changelog \
+#		$(PKGDIR)/usr/share/doc/git-cola/html/sources/relnotes.txt
 	dh_installdocs
 	dh_installexamples
 	dh_installman
