## git-cola 2.11

=== Makefile ===
--- 
+++ 
@@ -224,7 +224,14 @@
 	$(PYLINT) $(PYLINT_FLAGS) $(flags) $(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
 .PHONY: pylint
 
+pylint-check:
+	$(PYLINT) $(PYLINT_FLAGS) $(flags) $(file)
+.PHONY: pylint-check
+
 requirements:
-	$(PIP) install --requirement requirements.txt
-	$(PIP) install --requirement extras/requirements-dev.txt
+	$(PIP) install --requirement requirements/requirements.txt
 .PHONY: requirements
+
+requirements-dev:
+	$(PIP) install --requirement requirements/requirements-dev.txt
+.PHONY: requirements-dev
