=== debian/changelog ===
git-cola (2.11-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use dh_installchangelogs to fix FTBFS on buildds as relnotes.txt and
      changelogs are no longer generated at buildtime.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Jul 2017 21:01:13 -0700

git-cola (2.11-2) unstable; urgency=medium

  * Upload to Sid.
  * Correct duplicate documentation removal (closes: #868751).
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 18 Jul 2017 18:00:04 +0000

git-cola (2.11-1) experimental; urgency=medium

  * New upstream release.
  * Add dh-python build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 May 2017 15:54:15 +0000
