=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	dh_testroot
 	dh_installchangelogs 
 #	rm $(PKGDIR)/usr/share/doc/git-cola/changelog \
-#		$(PKGDIR)/usr/share/doc/git-cola/html/sources/relnotes.txt
+#		$(PKGDIR)/usr/share/doc/git-cola/html/sources/
 	dh_installdocs
 	dh_installexamples
 	dh_installman
