=== requirements/requirements.txt ===
argparse
qtpy
Sphinx; python_version >= '2.7'
Sphinx <= 1.3.4; python_version < '2.7'
