=== debian/changelog ===
git-cola (3.0-1ubuntu1) bionic; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - use rm -rf for removing upstream changelog, as this might not be
      installed at all.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Nov 2017 11:13:54 -0800

git-cola (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Install appdata files to correct location.
  * Update Standards-Version to 4.1.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Nov 2017 17:39:34 +0000
