=== debian/rules ===
--- 
+++ 
@@ -41,14 +41,16 @@
 	find . -name "*.pyc" -delete
 	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/cola/widgets/archive.py
 #	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/qtpy/py3compat.py
+	mkdir $(PKGDIR)/usr/share/metainfo/
+	mv $(PKGDIR)/usr/share/appdata/*.xml $(PKGDIR)/usr/share/metainfo/
 
 # Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-#	rm $(PKGDIR)/usr/share/doc/git-cola/changelog \
-#		$(PKGDIR)/usr/share/doc/git-cola/html/sources/
+	rm -rf $(PKGDIR)/usr/share/doc/git-cola/changelog \
+		$(PKGDIR)/usr/share/doc/git-cola/html/sources/
 	dh_installdocs
 	dh_installexamples
 	dh_installman
