## git-cola 3.2

=== debian/changelog ===
git-cola (3.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Sep 2018 18:40:59 +0000
