=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), dh-python, python3-nose
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://git-cola.github.com/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.4
 
 Package: git-cola
 Architecture: all
